FreeMat

- Main Page
- Related Pages

vtkSLACParticleReader

Section: Visualization Toolkit IO Classes

# Usage

A reader for a data format used by Omega3p, Tau3p, and several other tools used at the Standford Linear Accelerator Center (SLAC). The underlying format uses netCDF to store arrays, but also imposes some conventions to store a list of particles in 3D space.

This reader supports pieces, but in actuality only loads anything in piece 0. All other pieces are empty.

To create an instance of class vtkSLACParticleReader, simply invoke its constructor as follows

      obj = vtkSLACParticleReader

# Methods

The class vtkSLACParticleReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkSLACParticleReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkSLACParticleReader = obj.NewInstance ()`
- `vtkSLACParticleReader = obj.SafeDownCast (vtkObject o)`
- `string = obj.GetFileName ()`
- `obj.SetFileName (string )`